You are not logged in.

#1 2016-09-04 11:03:14

orjanp
Member
From: Tromsoe, Norway
Registered: 2004-07-03
Posts: 347

[Solved] X fails with "Failed to initialize the NVIDIA GPU" after upd.

Hi

Just did a full system update. Two months since last time.

After this, X won't start. Startx fails with the following errors. Had no problems before the update.

[    14.279] Current Operating System: Linux ArchLinux 4.7.2-1-ARCH #1 SMP PREEMPT Sat Aug 20 23:02:56 CEST 2016 x86_64
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    14.347] (EE) Failed to load module "nouveau" (module does not exist, 0)
[    14.347] (EE) Failed to load module "nv" (module does not exist, 0)
[    14.348] (EE) Failed to load module "fbdev" (module does not exist, 0)
[    14.348] (EE) Failed to load module "vesa" (module does not exist, 0)
[    19.128] (EE) NVIDIA(GPU-0): Failed to initialize the NVIDIA GPU at PCI:1:0:0.  Please
[    19.128] (EE) NVIDIA(GPU-0):     check your system's kernel log for additional error
[    19.128] (EE) NVIDIA(GPU-0):     messages and refer to Chapter 8: Common Problems in the
[    19.128] (EE) NVIDIA(GPU-0):     README for additional information.
[    19.128] (EE) NVIDIA(GPU-0): Failed to initialize the NVIDIA graphics device!
[    19.128] (EE) NVIDIA(0): Failing initialization of X screen 0
[    19.128] (II) UnloadModule: "nvidia"
[    19.128] (II) UnloadSubModule: "wfb"
[    19.128] (II) UnloadSubModule: "fb"
[    19.128] (EE) Screen(s) found, but none have a usable configuration.
[    19.128] (EE)
[    19.128] (EE) no screens found(EE)
[    19.128] (EE)
[    19.128] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    19.128] (EE)
[    19.224] (EE) Server terminated with error (1). Closing log file.

Some system information.

# uname -r
4.7.2-1-ARCH
# pacman -Q xorg-server
xorg-server 1.18.4-1
# pacman -Q nvidia
nvidia 370.23-4

I have a NVIDIA GF 460 GTX. As far as I have found out, this card is supported by the nvidia driver, and not the nvidia-304xx. I don't have switchable graphix and I'm not using a xorg.conf file.

I have tried reinstalling the nvidia drivers and run mkinitcpio -p linux and done a reboot afterwards. I have also checked the "latest news" section in case there were some information. Searching only came up with 3+ years old threads, often regarding bumblebee or laptopts with switchable graphix. I might of course have missed some information.

I enabled multilib and installed steam before rebooting from the -Suy update, if case that matters.

Does anyone have a clue on how to fix this?

Ørjan

Last edited by orjanp (2016-09-05 09:25:03)


Ørjan Pettersen

Offline

#2 2016-09-04 14:16:55

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 9,028

Re: [Solved] X fails with "Failed to initialize the NVIDIA GPU" after upd.

That doesn't look like the complete log, please post the full log ( check /var/log/Xorg.0.log )


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.
Did you use the guided installer ? If yes, I can't help you.

(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Offline

#3 2016-09-04 17:27:49

orjanp
Member
From: Tromsoe, Norway
Registered: 2004-07-03
Posts: 347

Re: [Solved] X fails with "Failed to initialize the NVIDIA GPU" after upd.

I didn't think it was relevant. smile

But here it is.

[    14.277]
X.Org X Server 1.18.4
Release Date: 2016-07-19
[    14.278] X Protocol Version 11, Revision 0
[    14.278] Build Operating System: Linux 4.5.4-1-ARCH x86_64
[    14.279] Current Operating System: Linux ArchLinux 4.7.2-1-ARCH #1 SMP PREEMPT Sat Aug 20 23:02:56 CEST 2016 x86_64
[    14.279] Kernel command line: BOOT_IMAGE=/vmlinuz-linux root=UUID=bef5b021-145a-464f-8567-812677905640 rw quiet
[    14.281] Build Date: 19 July 2016  05:54:24PM
[    14.281]
[    14.281] Current version of pixman: 0.34.0
[    14.282]    Before reporting problems, check http://wiki.x.org
        to make sure that you have the latest version.
[    14.282] Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    14.285] (==) Log file: "/var/log/Xorg.0.log", Time: Sat Sep  3 21:49:58 2016
[    14.287] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    14.287] (==) No Layout section.  Using the first Screen section.
[    14.287] (==) No screen section available. Using defaults.
[    14.288] (**) |-->Screen "Default Screen Section" (0)
[    14.288] (**) |   |-->Monitor "<default monitor>"
[    14.288] (==) No monitor specified for screen "Default Screen Section".
        Using a default monitor configuration.
[    14.288] (==) Automatically adding devices
[    14.288] (==) Automatically enabling devices
[    14.288] (==) Automatically adding GPU devices
[    14.288] (==) Max clients allowed: 256, resource mask: 0x1fffff
[    14.291] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/100dpi/".
[    14.291]    Entry deleted from font path.
[    14.291]    (Run 'mkfontdir' on "/usr/share/fonts/100dpi/").
[    14.291] (WW) `fonts.dir' not found (or not valid) in "/usr/share/fonts/75dpi/".
[    14.291]    Entry deleted from font path.
[    14.291]    (Run 'mkfontdir' on "/usr/share/fonts/75dpi/").
[    14.291] (==) FontPath set to:
        /usr/share/fonts/misc/,
        /usr/share/fonts/TTF/,
        /usr/share/fonts/OTF/,
        /usr/share/fonts/Type1/
[    14.291] (==) ModulePath set to "/usr/lib/xorg/modules"
[    14.291] (II) The server relies on udev to provide the list of input devices.
        If no devices become available, reconfigure udev or disable AutoAddDevices.
[    14.291] (II) Loader magic: 0x821d40
[    14.292] (II) Module ABI versions:
[    14.292]    X.Org ANSI C Emulation: 0.4
[    14.292]    X.Org Video Driver: 20.0
[    14.292]    X.Org XInput driver : 22.1
[    14.292]    X.Org Server Extension : 9.0
[    14.292] (++) using VT number 1

[    14.292] (--) controlling tty is VT number 1, auto-enabling KeepTty
[    14.294] (II) systemd-logind: took control of session /org/freedesktop/login1/session/c1
[    14.294] (II) xfree86: Adding drm device (/dev/dri/card0)
[    14.295] (II) systemd-logind: got fd for /dev/dri/card0 226:0 fd 8 paused 0
[    14.297] (--) PCI:*(0:1:0:0) 10de:0e22:1043:835c rev 161, Mem @ 0xf4000000/33554432, 0xe8000000/134217728, 0xf0000000/67108864, I/O @ 0x0000e000/128, BIOS @ 0x????????/131072
[    14.297] (WW) Open ACPI failed (/var/run/acpid.socket) (No such file or directory)
[    14.297] (II) LoadModule: "glx"
[    14.300] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    14.341] (II) Module glx: vendor="NVIDIA Corporation"
[    14.341]    compiled for 4.0.2, module version = 1.0.0
[    14.341]    Module class: X.Org Server Extension
[    14.341] (II) NVIDIA GLX Module  370.23  Mon Aug  8 17:25:10 PDT 2016
[    14.341] (II) Applying OutputClass "nvidia" to /dev/dri/card0
[    14.341]    loading driver: nvidia
[    14.341] (==) Matched nvidia as autoconfigured driver 0
[    14.341] (==) Matched nouveau as autoconfigured driver 1
[    14.342] (==) Matched nv as autoconfigured driver 2
[    14.342] (==) Matched nouveau as autoconfigured driver 3
[    14.342] (==) Matched nv as autoconfigured driver 4
[    14.342] (==) Matched modesetting as autoconfigured driver 5
[    14.342] (==) Matched fbdev as autoconfigured driver 6
[    14.342] (==) Matched vesa as autoconfigured driver 7
[    14.342] (==) Assigned the driver to the xf86ConfigLayout
[    14.342] (II) LoadModule: "nvidia"
[    14.342] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[    14.346] (II) Module nvidia: vendor="NVIDIA Corporation"
[    14.346]    compiled for 4.0.2, module version = 1.0.0
[    14.346]    Module class: X.Org Video Driver
[    14.347] (II) LoadModule: "nouveau"
[    14.347] (WW) Warning, couldn't open module nouveau
[    14.347] (II) UnloadModule: "nouveau"
[    14.347] (II) Unloading nouveau
[    14.347] (EE) Failed to load module "nouveau" (module does not exist, 0)
[    14.347] (II) LoadModule: "nv"
[    14.347] (WW) Warning, couldn't open module nv
[    14.347] (II) UnloadModule: "nv"
[    14.347] (II) Unloading nv
[    14.347] (EE) Failed to load module "nv" (module does not exist, 0)
[    14.347] (II) LoadModule: "modesetting"
[    14.347] (II) Loading /usr/lib/xorg/modules/drivers/modesetting_drv.so
[    14.348] (II) Module modesetting: vendor="X.Org Foundation"
[    14.348]    compiled for 1.18.4, module version = 1.18.4
[    14.348]    Module class: X.Org Video Driver
[    14.348]    ABI class: X.Org Video Driver, version 20.0
[    14.348] (II) LoadModule: "fbdev"
[    14.348] (WW) Warning, couldn't open module fbdev
[    14.348] (II) UnloadModule: "fbdev"
[    14.348] (II) Unloading fbdev
[    14.348] (EE) Failed to load module "fbdev" (module does not exist, 0)
[    14.348] (II) LoadModule: "vesa"
[    14.348] (WW) Warning, couldn't open module vesa
[    14.348] (II) UnloadModule: "vesa"
[    14.348] (II) Unloading vesa
[    14.348] (EE) Failed to load module "vesa" (module does not exist, 0)
[    14.348] (II) NVIDIA dlloader X Driver  370.23  Mon Aug  8 17:02:18 PDT 2016
[    14.348] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    14.349] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
[    14.349] (II) systemd-logind: releasing fd for 226:0
[    14.350] (II) Loading sub module "fb"
[    14.350] (II) LoadModule: "fb"
[    14.350] (II) Loading /usr/lib/xorg/modules/libfb.so
[    14.350] (II) Module fb: vendor="X.Org Foundation"
[    14.351]    compiled for 1.18.4, module version = 1.0.0
[    14.351]    ABI class: X.Org ANSI C Emulation, version 0.4
[    14.351] (II) Loading sub module "wfb"
[    14.351] (II) LoadModule: "wfb"
[    14.351] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    14.352] (II) Module wfb: vendor="X.Org Foundation"
[    14.352]    compiled for 1.18.4, module version = 1.0.0
[    14.352]    ABI class: X.Org ANSI C Emulation, version 0.4
[    14.352] (II) Loading sub module "ramdac"
[    14.352] (II) LoadModule: "ramdac"
[    14.352] (II) Module "ramdac" already built-in
[    14.353] (WW) Falling back to old probe method for modesetting
[    14.353] (II) NVIDIA(0): Creating default Display subsection in Screen section
        "Default Screen Section" for depth/fbbpp 24/32
[    14.353] (==) NVIDIA(0): Depth 24, (==) framebuffer bpp 32
[    14.353] (==) NVIDIA(0): RGB weight 888
[    14.353] (==) NVIDIA(0): Default visual is TrueColor
[    14.354] (==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
[    14.354] (**) NVIDIA(0): Enabling 2D acceleration
[    19.128] (EE) NVIDIA(GPU-0): Failed to initialize the NVIDIA GPU at PCI:1:0:0.  Please
[    19.128] (EE) NVIDIA(GPU-0):     check your system's kernel log for additional error
[    19.128] (EE) NVIDIA(GPU-0):     messages and refer to Chapter 8: Common Problems in the
[    19.128] (EE) NVIDIA(GPU-0):     README for additional information.
[    19.128] (EE) NVIDIA(GPU-0): Failed to initialize the NVIDIA graphics device!
[    19.128] (EE) NVIDIA(0): Failing initialization of X screen 0
[    19.128] (II) UnloadModule: "nvidia"
[    19.128] (II) UnloadSubModule: "wfb"
[    19.128] (II) UnloadSubModule: "fb"
[    19.128] (EE) Screen(s) found, but none have a usable configuration.
[    19.128] (EE)
Fatal server error:
[    19.128] (EE) no screens found(EE)
[    19.128] (EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
[    19.128] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    19.128] (EE)
[    19.224] (EE) Server terminated with error (1). Closing log file.

This is part of the pacman log to. What's been upgraded just before it stopped working.

[2016-09-02 20:42] [PACMAN] Running 'pacman -Suy'
[2016-09-02 20:42] [PACMAN] synchronizing package lists
[2016-09-02 20:42] [PACMAN] starting full system upgrade
[2016-09-02 20:46] [ALPM] transaction started
[2016-09-02 20:46] [ALPM] removed libdbus (1.10.8-1)
[2016-09-02 20:46] [ALPM] upgraded linux-api-headers (4.5.5-1 -> 4.7-1)
[2016-09-02 20:46] [ALPM] upgraded tzdata (2016e-1 -> 2016f-1)
[2016-09-02 20:46] [ALPM] warning: /etc/locale.gen installed as /etc/locale.gen.pacnew
[2016-09-02 20:46] [ALPM] upgraded glibc (2.23-5 -> 2.24-2)
[2016-09-02 20:46] [ALPM-SCRIPTLET] Generating locales...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   en_US.UTF-8... done
[2016-09-02 20:46] [ALPM-SCRIPTLET]   nn_NO.UTF-8... done
[2016-09-02 20:46] [ALPM-SCRIPTLET] Generation complete.
[2016-09-02 20:46] [ALPM] upgraded alsa-lib (1.1.1-1 -> 1.1.2-1)
[2016-09-02 20:46] [ALPM] upgraded gcc-libs (6.1.1-2 -> 6.1.1-5)
[2016-09-02 20:46] [ALPM] upgraded fftw (3.3.4-2 -> 3.3.5-1)
[2016-09-02 20:46] [ALPM] upgraded kmod (22-1 -> 23-1)
[2016-09-02 20:46] [ALPM] upgraded hwids (20160306-1 -> 20160421-1)
[2016-09-02 20:46] [ALPM] upgraded alsa-utils (1.1.1-1 -> 1.1.2-1)
[2016-09-02 20:46] [ALPM] upgraded archlinux-keyring (20160402-1 -> 20160812-1)
[2016-09-02 20:46] [ALPM-SCRIPTLET] ==> Appending keys from archlinux.gpg...
[2016-09-02 20:46] [ALPM-SCRIPTLET] ==> Locally signing trusted keys in keyring...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Locally signing key 0E8B644079F599DFC1DDC3973348882F6AC6A4C2...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Locally signing key 684148BB25B49E986A4944C55184252D824B18E8...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Locally signing key 91FFE0700E80619CEB73235CA88E23E377514E00...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Locally signing key 44D4A033AC140143927397D47EFD567D4C7EA887...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Locally signing key 27FFC4769E19F096D41D9265A04F9397CDFD6BB0...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Locally signing key AB19265E5D7D20687D303246BA1DFB64FFF979E7...
[2016-09-02 20:46] [ALPM-SCRIPTLET] ==> Importing owner trust values...
[2016-09-02 20:46] [ALPM-SCRIPTLET] ==> Disabling revoked keys in keyring...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Disabling key F5A361A3A13554B85E57DDDAAF7EF7873CFD4BB6...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Disabling key 7FA647CD89891DEDC060287BB9113D1ED21E1A55...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Disabling key D4DE5ABDE2A7287644EAC7E36D1A9E70E19DAA50...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Disabling key BC1FBE4D2826A0B51E47ED62E2539214C6C11350...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Disabling key 9515D8A8EAB88E49BB65EDBCE6B456CAF15447D5...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Disabling key 4A8B17E20B88ACA61860009B5CED81B7C2E5C0D2...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Disabling key 63F395DE2D6398BBE458F281F2DBB4931985A992...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Disabling key 0B20CA1931F5DA3A70D0F8D2EA6836E1AB441196...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Disabling key 8F76BEEA0289F9E1D3E229C05F946DED983D4366...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Disabling key 66BD74A036D522F51DD70A3C7F2A16726521E06D...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Disabling key 81D7F8241DB38BC759C80FCE3A726C6170E80477...
[2016-09-02 20:46] [ALPM-SCRIPTLET]   -> Disabling key E7210A59715F6940CF9A4E36A001876699AD6E84...
[2016-09-02 20:46] [ALPM-SCRIPTLET] ==> Updating trust database...
[2016-09-02 20:46] [ALPM-SCRIPTLET] gpg: next trustdb check due at 2016-10-19
[2016-09-02 20:46] [ALPM] upgraded babl (0.1.14-1 -> 0.1.16-1)
[2016-09-02 20:46] [ALPM] upgraded binutils (2.26-4 -> 2.27-1)
[2016-09-02 20:46] [ALPM] upgraded bluez-libs (5.40-1 -> 5.41-2)
[2016-09-02 20:46] [ALPM] upgraded findutils (4.6.0-1 -> 4.6.0-2)
[2016-09-02 20:46] [ALPM] upgraded libtasn1 (4.8-2 -> 4.9-2)
[2016-09-02 20:46] [ALPM] upgraded gmp (6.1.0-4 -> 6.1.1-1)
[2016-09-02 20:46] [ALPM] upgraded ca-certificates-mozilla (3.25-1 -> 3.26-1)
[2016-09-02 20:46] [ALPM] upgraded libpng (1.6.23-1 -> 1.6.25-1)
[2016-09-02 20:46] [ALPM] upgraded expat (2.2.0-1 -> 2.2.0-2)
[2016-09-02 20:46] [ALPM] upgraded glib2 (2.48.1-1 -> 2.48.2-1)
[2016-09-02 20:46] [ALPM] upgraded harfbuzz (1.2.7-1 -> 1.3.0-1)
[2016-09-02 20:46] [ALPM] upgraded freetype2 (2.6.3-1 -> 2.6.5-2)
[2016-09-02 20:46] [ALPM-SCRIPTLET]   Subpixel hinting mode can be chosen by setting the right value in
[2016-09-02 20:46] [ALPM-SCRIPTLET]   your environment, for example /etc/environment or ~/.pam_environment .
[2016-09-02 20:46] [ALPM-SCRIPTLET]
[2016-09-02 20:46] [ALPM-SCRIPTLET]   Available settings:
[2016-09-02 20:46] [ALPM-SCRIPTLET]       FT2_SUBPIXEL_HINTING=0  # Classic mode (default in 2.6)
[2016-09-02 20:46] [ALPM-SCRIPTLET]       FT2_SUBPIXEL_HINTING=1  # Infinality mode
[2016-09-02 20:46] [ALPM-SCRIPTLET]       FT2_SUBPIXEL_HINTING=2  # Minimal mode (default in 2.7)
[2016-09-02 20:46] [ALPM] upgraded fontconfig (2.12.0-1 -> 2.12.1-3)
[2016-09-02 20:46] [ALPM-SCRIPTLET] updating font cache... done.
[2016-09-02 20:46] [ALPM] upgraded libxfont (1.5.1-1 -> 1.5.2-1)
[2016-09-02 20:46] [ALPM] upgraded libdrm (2.4.68-1 -> 2.4.70-1)
[2016-09-02 20:46] [ALPM] upgraded libgpg-error (1.23-1 -> 1.24-1)
[2016-09-02 20:46] [ALPM] upgraded libgcrypt (1.7.1-1 -> 1.7.3-1)
[2016-09-02 20:46] [ALPM] upgraded xorg-server-common (1.18.3-2 -> 1.18.4-1)
[2016-09-02 20:46] [ALPM] upgraded lz4 (131-1 -> 131-2)
[2016-09-02 20:46] [ALPM] upgraded libsystemd (230-5 -> 231-1)
[2016-09-02 20:46] [ALPM] upgraded dbus (1.10.8-1 -> 1.10.10-3)
[2016-09-02 20:46] [ALPM] upgraded libidn (1.32-1 -> 1.33-1)
[2016-09-02 20:46] [ALPM] upgraded libutil-linux (2.28-1 -> 2.28.1-1)
[2016-09-02 20:46] [ALPM] upgraded e2fsprogs (1.43.1-1 -> 1.43.1-2)
[2016-09-02 20:46] [ALPM] upgraded libsasl (2.1.26-7 -> 2.1.26-8)
[2016-09-02 20:46] [ALPM] upgraded pam (1.2.1-3 -> 1.3.0-1)
[2016-09-02 20:46] [ALPM] upgraded libelf (0.166-1 -> 0.167-1)
[2016-09-02 20:46] [ALPM] upgraded util-linux (2.28-1 -> 2.28.1-1)
[2016-09-02 20:46] [ALPM] upgraded libmnl (1.0.3-2 -> 1.0.4-1)
[2016-09-02 20:46] [ALPM] upgraded systemd (230-5 -> 231-1)
[2016-09-02 20:46] [ALPM] upgraded libevdev (1.5.2-1 -> 1.5.4-1)
[2016-09-02 20:46] [ALPM] upgraded xorg-server (1.18.3-2 -> 1.18.4-1)
[2016-09-02 20:46] [ALPM] upgraded libglvnd (0.1.0.20160411-1 -> 0.1.1-1)
[2016-09-02 20:46] [ALPM] upgraded nvidia-utils (367.27-1 -> 370.23-1)
[2016-09-02 20:46] [ALPM-SCRIPTLET] If you run into trouble with CUDA not being available, run nvidia-modprobe first.
[2016-09-02 20:46] [ALPM] upgraded nvidia-libgl (367.27-1 -> 370.23-1)
[2016-09-02 20:46] [ALPM] upgraded cairo (1.14.6-1 -> 1.14.6-2)
[2016-09-02 20:46] [ALPM] upgraded pango (1.40.1-1 -> 1.40.2-1)
[2016-09-02 20:46] [ALPM] upgraded gnutls (3.4.13-1 -> 3.4.14-1)
[2016-09-02 20:46] [ALPM] upgraded libcups (2.1.4-1 -> 2.1.4-2)
[2016-09-02 20:46] [ALPM] upgraded gtk-update-icon-cache (3.20.6-1 -> 3.20.9-1)
[2016-09-02 20:46] [ALPM] upgraded desktop-file-utils (0.22-2 -> 0.23-1)
[2016-09-02 20:46] [ALPM] upgraded libxml2 (2.9.4+0+gbdec218-2 -> 2.9.4+4+g3169602-1)
[2016-09-02 20:46] [ALPM] upgraded gtk2 (2.24.30-2 -> 2.24.30+95+g876b5f7-1)
[2016-09-02 20:46] [ALPM] upgraded sqlite (3.13.0-1 -> 3.14.1-1)
[2016-09-02 20:46] [ALPM] upgraded nss (3.25-1 -> 3.26-1)
[2016-09-02 20:46] [ALPM] upgraded xdg-utils (1.1.1-2 -> 1.1.1-4)
[2016-09-02 20:46] [ALPM] installed libao (1.2.0-1)
[2016-09-02 20:46] [ALPM] upgraded libasyncns (0.8-5 -> 0.8+3+g68cd5af-1)
[2016-09-02 20:46] [ALPM] upgraded speech-dispatcher (0.8.4-2 -> 0.8.5-1)
[2016-09-02 20:46] [ALPM] upgraded libvpx (1.5.0-4 -> 1.6.0-2)
[2016-09-02 20:47] [ALPM] upgraded chromium (51.0.2704.106-1 -> 53.0.2785.89-1)
[2016-09-02 20:47] [ALPM] upgraded curl (7.49.1-1 -> 7.50.1-1)
[2016-09-02 20:47] [ALPM] upgraded dconf (0.26.0-1 -> 0.26.0-2)
[2016-09-02 20:47] [ALPM] upgraded device-mapper (2.02.158-1 -> 2.02.164-1)
[2016-09-02 20:47] [ALPM] upgraded dhcpcd (6.11.1-1 -> 6.11.3-1)
[2016-09-02 20:47] [ALPM] upgraded diffutils (3.3-3 -> 3.5-1)
[2016-09-02 20:47] [ALPM] upgraded elfutils (0.166-1 -> 0.167-1)
[2016-09-02 20:47] [ALPM] upgraded fakeroot (1.20.2-1 -> 1.21-2)
[2016-09-02 20:47] [ALPM] upgraded feh (2.16.1-1 -> 2.17-1)
[2016-09-02 20:47] [ALPM] upgraded libwebp (0.5.0-1 -> 0.5.1-1)
[2016-09-02 20:47] [ALPM] upgraded opus (1.1.2-1 -> 1.1.3-2)
[2016-09-02 20:47] [ALPM] upgraded libx264 (2:148.20160103-1 -> 2:148.20160613-2)
[2016-09-02 20:47] [ALPM] upgraded x265 (1.9-1 -> 2.0-1)
[2016-09-02 20:47] [ALPM] upgraded orc (0.4.25-2 -> 0.4.26-1)
[2016-09-02 20:47] [ALPM] upgraded ffmpeg (1:3.0.2-2 -> 1:3.1.3-1)
[2016-09-02 20:47] [ALPM] upgraded json-glib (1.2.0-1 -> 1.2.2-1)
[2016-09-02 20:47] [ALPM] upgraded wayland-protocols (1.4-1 -> 1.7-1)
[2016-09-02 20:47] [ALPM] upgraded llvm-libs (3.8.0-1 -> 3.8.1-1)
[2016-09-02 20:47] [ALPM] upgraded mesa (11.2.2-1 -> 12.0.1-7)
[2016-09-02 20:47] [ALPM] upgraded lcms2 (2.7-1 -> 2.8-1)
[2016-09-02 20:47] [ALPM] upgraded gsettings-desktop-schemas (3.21.2-1 -> 3.21.4-1)
[2016-09-02 20:47] [ALPM] upgraded gtk3 (3.20.6-1 -> 3.20.9-1)
[2016-09-02 20:47] [ALPM] upgraded firefox (47.0.1-1 -> 48.0.2-1)
[2016-09-02 20:47] [ALPM] upgraded flex (2.6.0-3 -> 2.6.1-1)
[2016-09-02 20:47] [ALPM] upgraded gawk (4.1.3-1 -> 4.1.3-2)
[2016-09-02 20:47] [ALPM] upgraded gcc (6.1.1-2 -> 6.1.1-5)
[2016-09-02 20:47] [ALPM] upgraded gconf (3.2.6-4 -> 3.2.6-5)
[2016-09-02 20:47] [ALPM] upgraded gettext (0.19.7-1 -> 0.19.8.1-2)
[2016-09-02 20:47] [ALPM] upgraded gsfonts (20150811-1 -> 20160531-3)
[2016-09-02 20:47] [ALPM] upgraded gimp (2.8.16-2 -> 2.8.18-1)
[2016-09-02 20:47] [ALPM] upgraded git (2.9.0-1 -> 2.9.3-1)
[2016-09-02 20:47] [ALPM] upgraded glew (1.13.0-1 -> 2.0.0-1)
[2016-09-02 20:47] [ALPM] upgraded libksba (1.3.4-1 -> 1.3.4-2)
[2016-09-02 20:47] [ALPM] upgraded libassuan (2.4.2-2 -> 2.4.3-1)
[2016-09-02 20:47] [ALPM] upgraded gnupg (2.1.13-1 -> 2.1.15-1)
[2016-09-02 20:47] [ALPM] upgraded gpgme (1.6.0-2 -> 1.6.0-3)
[2016-09-02 20:47] [ALPM] upgraded gpm (1.20.7-6 -> 1.20.7-7)
[2016-09-02 20:47] [ALPM] upgraded groff (1.22.3-6 -> 1.22.3-7)
[2016-09-02 20:47] [ALPM] upgraded grub (1:2.02.beta2-6 -> 1:2.02.beta3-3)
[2016-09-02 20:47] [ALPM] upgraded gstreamer (1.8.2-1 -> 1.8.3-1)
[2016-09-02 20:47] [ALPM] upgraded gst-plugins-base-libs (1.8.2-1 -> 1.8.3-1)
[2016-09-02 20:47] [ALPM] upgraded gst-plugins-base (1.8.2-1 -> 1.8.3-1)
[2016-09-02 20:47] [ALPM] upgraded guile (2.0.11-4 -> 2.0.12-1)
[2016-09-02 20:47] [ALPM] upgraded vim-runtime (7.4.1910-1 -> 7.4.2143-1)
[2016-09-02 20:47] [ALPM] upgraded gvim (7.4.1910-1 -> 7.4.2143-1)
[2016-09-02 20:47] [ALPM] upgraded harfbuzz-icu (1.2.7-1 -> 1.3.0-1)
[2016-09-02 20:47] [ALPM] upgraded imagemagick (6.9.4.6-2 -> 6.9.5.8-1)
[2016-09-02 20:47] [ALPM] upgraded inetutils (1.9.4-2 -> 1.9.4-4)
[2016-09-02 20:47] [ALPM] upgraded iproute2 (4.5.0-2 -> 4.7.0-1)
[2016-09-02 20:47] [ALPM] upgraded jsoncpp (1.7.2-1 -> 1.7.4-1)
[2016-09-02 20:47] [ALPM] upgraded talloc (2.1.7-1 -> 2.1.8-1)
[2016-09-02 20:47] [ALPM] upgraded tevent (0.9.28-1 -> 0.9.29-1)
[2016-09-02 20:47] [ALPM] upgraded tdb (1.3.8-1 -> 1.3.10-1)
[2016-09-02 20:47] [ALPM] upgraded ldb (1.1.26-1 -> 1.1.27-1)
[2016-09-02 20:47] [ALPM] upgraded libarchive (3.2.1-1 -> 3.2.1-2)
[2016-09-02 20:47] [ALPM] upgraded libcap-ng (0.7.7-1 -> 0.7.8-1)
[2016-09-02 20:47] [ALPM] upgraded libcdio (0.93-3 -> 0.93-4)
[2016-09-02 20:47] [ALPM] upgraded libcdr (0.1.2-2 -> 0.1.3-1)
[2016-09-02 20:47] [ALPM] upgraded libwacom (0.18-1 -> 0.22-1)
[2016-09-02 20:47] [ALPM] upgraded libinput (1.3.3-1 -> 1.4.2-1)
[2016-09-02 20:47] [ALPM] installed confuse (2.8-2)
[2016-09-02 20:47] [ALPM] installed libftdi (1.3-1)
[2016-09-02 20:47] [ALPM] upgraded lirc (1:0.9.3.a-2 -> 1:0.9.4.b-1)
[2016-09-02 20:47] [ALPM] upgraded libirman (0.4.6-1 -> 0.5.2-1)
[2016-09-02 20:47] [ALPM] upgraded libmm-glib (1.4.14-1 -> 1.6.0-1)
[2016-09-02 20:47] [ALPM] upgraded libmtp (1.1.11-1 -> 1.1.12-1)
[2016-09-02 20:47] [ALPM] installed jansson (2.7-1)
[2016-09-02 20:47] [ALPM] upgraded libnm-glib (1.2.2-1 -> 1.4.1dev+15+g0d23ffd-1)
[2016-09-02 20:47] [ALPM] installed openjpeg2 (2.1.1-2)
[2016-09-02 20:47] [ALPM] upgraded poppler (0.42.0-1 -> 0.47.0-1)
[2016-09-02 20:47] [ALPM] upgraded libreoffice-fresh (5.1.4-1 -> 5.2.0-4)
[2016-09-02 20:47] [ALPM] upgraded libwbclient (4.4.4-1 -> 4.4.5-2)
[2016-09-02 20:47] [ALPM] upgraded linux-firmware (20160516.80d463b-1 -> 20160730.6bc2c60-1)
[2016-09-02 20:47] [ALPM] upgraded mkinitcpio (19-1 -> 20-1)
[2016-09-02 20:47] [ALPM] upgraded linux (4.6.3-1 -> 4.7.2-1)
[2016-09-02 20:47] [ALPM-SCRIPTLET] >>> Updating module dependencies. Please wait ...
[2016-09-02 20:47] [ALPM-SCRIPTLET] >>> Generating initial ramdisk, using mkinitcpio. Please wait...
[2016-09-02 20:47] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2016-09-02 20:47] [ALPM-SCRIPTLET] ==> Starting build: 4.7.2-1-ARCH
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2016-09-02 20:47] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2016-09-02 20:47] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
[2016-09-02 20:47] [ALPM-SCRIPTLET] ==> Image generation successful
[2016-09-02 20:47] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2016-09-02 20:47] [ALPM-SCRIPTLET] ==> Starting build: 4.7.2-1-ARCH
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2016-09-02 20:47] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2016-09-02 20:47] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2016-09-02 20:47] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2016-09-02 20:47] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2016-09-02 20:47] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-fallback.img
[2016-09-02 20:47] [ALPM-SCRIPTLET] ==> Image generation successful
[2016-09-02 20:47] [ALPM] upgraded thin-provisioning-tools (0.6.1-2 -> 0.6.3-1)
[2016-09-02 20:47] [ALPM] upgraded lvm2 (2.02.158-1 -> 2.02.164-1)
[2016-09-02 20:47] [ALPM] upgraded man-db (2.7.5-2 -> 2.7.5-4)
[2016-09-02 20:47] [ALPM] upgraded man-pages (4.06-1 -> 4.07-1)
[2016-09-02 20:47] [ALPM] upgraded mpg123 (1.23.5-1 -> 1.23.6-1)
[2016-09-02 20:47] [ALPM] upgraded nano (2.6.1-1 -> 2.6.3-1)
[2016-09-02 20:47] [ALPM] upgraded nvidia (367.27-1 -> 370.23-4)
[2016-09-02 20:47] [ALPM-SCRIPTLET] In order to use nvidia module, reboot the system.
[2016-09-02 20:47] [ALPM] upgraded opera (38.0.2220.31-1 -> 39.0.2256.48-1)
[2016-09-02 20:47] [ALPM] warning: /etc/pacman.d/mirrorlist installed as /etc/pacman.d/mirrorlist.pacnew
[2016-09-02 20:47] [ALPM] upgraded pacman-mirrorlist (20160703-1 -> 20160901-1)
[2016-09-02 20:47] [ALPM] upgraded pkg-config (0.29.1-1 -> 0.29.1-2)
[2016-09-02 20:47] [ALPM] upgraded procps-ng (3.3.11-2 -> 3.3.12-1)
[2016-09-02 20:47] [ALPM] upgraded python-xlib (0.15rc1-1 -> 0.17-1)
[2016-09-02 20:47] [ALPM] upgraded qt5-base (5.7.0-1 -> 5.7.0-2)
[2016-09-02 20:47] [ALPM] upgraded qt5-wayland (5.7.0-1 -> 5.7.0-2)
[2016-09-02 20:47] [ALPM] upgraded qt5-webengine (5.7.0-1 -> 5.7.0-3)
[2016-09-02 20:47] [ALPM] upgraded reiserfsprogs (3.6.24-1 -> 3.6.25-1)
[2016-09-02 20:47] [ALPM] upgraded s-nail (14.8.9-1 -> 14.8.10-1)
[2016-09-02 20:47] [ALPM] upgraded smbclient (4.4.4-1 -> 4.4.5-2)
[2016-09-02 20:47] [ALPM] installed lua52 (5.2.4-1)
[2016-09-02 20:47] [ALPM] installed vamp-plugin-sdk (2.6-1)
[2016-09-02 20:47] [ALPM] installed rubberband (1.8.1-3)
[2016-09-02 20:47] [ALPM] installed mpv (1:0.20.0-1)
[2016-09-02 20:47] [ALPM] upgraded smplayer (16.6.0-1 -> 16.8.0-1)
[2016-09-02 20:47] [ALPM] upgraded sudo (1.8.16-1 -> 1.8.17.p1-1)
[2016-09-02 20:47] [ALPM] upgraded systemd-sysvcompat (230-5 -> 231-1)
[2016-09-02 20:47] [ALPM] upgraded thunderbird (45.1.1-2 -> 45.2.0-2)
[2016-09-02 20:47] [ALPM] upgraded unrar (1:5.3.11-1 -> 1:5.4.5-1)
[2016-09-02 20:47] [ALPM] upgraded webkit2gtk (2.12.3-1 -> 2.12.4-1)
[2016-09-02 20:47] [ALPM] upgraded xfsprogs (4.5.0-1 -> 4.7.0-1)
[2016-09-02 20:47] [ALPM] upgraded xmlrpc-c (1:1.43.01-1 -> 1:1.43.03-1)
[2016-09-02 20:47] [ALPM] transaction completed
[2016-09-02 20:47] [ALPM] running 'gio-querymodules.hook'...
[2016-09-02 20:47] [ALPM] running 'glib-compile-schemas.hook'...
[2016-09-02 20:47] [ALPM] running 'gtk-query-immodules-2.0.hook'...
[2016-09-02 20:47] [ALPM] running 'gtk-query-immodules-3.0.hook'...
[2016-09-02 20:47] [ALPM] running 'gtk-update-icon-cache.hook'...
[2016-09-02 20:47] [ALPM] running 'texinfo-install.hook'...
[2016-09-02 20:48] [ALPM] running 'udev-hwdb.hook'...
[2016-09-02 20:48] [ALPM] running 'update-ca-trust.hook'...
[2016-09-02 20:48] [ALPM] running 'update-desktop-database.hook'...
[2016-09-02 20:48] [ALPM] running 'update-mime-database.hook'...
[2016-09-02 20:51] [PACMAN] Running 'pacman -S steam'
[2016-09-02 20:52] [PACMAN] Running 'pacman -S sl'
[2016-09-02 20:52] [ALPM] transaction started
[2016-09-02 20:52] [ALPM] installed sl (5.02-4)
[2016-09-02 20:52] [ALPM] transaction completed
[2016-09-02 20:54] [PACMAN] Running 'pacman -Sy'
[2016-09-02 20:54] [PACMAN] synchronizing package lists
[2016-09-02 20:54] [PACMAN] Running 'pacman -S steam'
[2016-09-02 20:55] [ALPM] transaction started
[2016-09-02 20:55] [ALPM] installed lib32-glibc (2.24-2)
[2016-09-02 20:55] [ALPM] installed lib32-libpciaccess (0.13.4-1)
[2016-09-02 20:55] [ALPM] installed lib32-libdrm (2.4.70-1)
[2016-09-02 20:55] [ALPM] installed lib32-libxdmcp (1.1.2-1)
[2016-09-02 20:55] [ALPM] installed lib32-libxau (1.0.8-1)
[2016-09-02 20:55] [ALPM] installed lib32-libxcb (1.12-2)
[2016-09-02 20:55] [ALPM] installed lib32-libx11 (1.6.3-1)
[2016-09-02 20:55] [ALPM] installed lib32-libxext (1.3.3-1)
[2016-09-02 20:55] [ALPM] installed lib32-libxxf86vm (1.1.4-1)
[2016-09-02 20:55] [ALPM] installed lib32-libxfixes (5.0.2-1)
[2016-09-02 20:55] [ALPM] installed lib32-libxdamage (1.1.4-2)
[2016-09-02 20:55] [ALPM] installed lib32-libxshmfence (1.2-1)
[2016-09-02 20:55] [ALPM] installed lib32-libgpg-error (1.24-1)
[2016-09-02 20:55] [ALPM] installed lib32-libgcrypt (1.7.2-1)
[2016-09-02 20:55] [ALPM] installed lib32-xz (5.2.2-1)
[2016-09-02 20:55] [ALPM] installed lib32-attr (2.4.47-1)
[2016-09-02 20:55] [ALPM] installed lib32-libcap (2.25-1)
[2016-09-02 20:55] [ALPM] installed lib32-acl (2.2.52-2)
[2016-09-02 20:55] [ALPM] installed lib32-libidn (1.33-1)
[2016-09-02 20:55] [ALPM] installed lib32-gcc-libs (6.1.1-5)
[2016-09-02 20:55] [ALPM] installed lib32-systemd (231-1)
[2016-09-02 20:55] [ALPM] installed lib32-bzip2 (1.0.6-2)
[2016-09-02 20:55] [ALPM] installed lib32-zlib (1.2.8-1)
[2016-09-02 20:55] [ALPM] installed lib32-elfutils (0.167-1)
[2016-09-02 20:55] [ALPM] installed lib32-libffi (3.2.1-1)
[2016-09-02 20:55] [ALPM] installed lib32-ncurses (6.0-2)
[2016-09-02 20:55] [ALPM] installed lib32-llvm-libs (3.8.1-1)
[2016-09-02 20:55] [ALPM] installed lib32-expat (2.2.0-1)
[2016-09-02 20:55] [ALPM] installed lib32-readline (6.3.008-2)
[2016-09-02 20:55] [ALPM] installed lib32-libxml2 (2.9.3-1)
[2016-09-02 20:55] [ALPM] installed lib32-wayland (1.11.0-1)
[2016-09-02 20:55] [ALPM] installed lib32-libtxc_dxtn (1.0.1-5)
[2016-09-02 20:55] [ALPM] installed lib32-mesa (12.0.1-5)
[2016-09-02 20:55] [ALPM] installed lib32-mesa-libgl (12.0.1-5)
[2016-09-02 20:55] [ALPM] installed lib32-libxss (1.2.2-2)
[2016-09-02 20:55] [ALPM] installed steam (1.0.0.52-2)
[2016-09-02 20:55] [ALPM-SCRIPTLET] if you are running x86_64, you need the lib32 opt depends for your driver
[2016-09-02 20:55] [ALPM-SCRIPTLET] if you are having problems with the steam license, remove .steam and .local/share/Steam
[2016-09-02 20:55] [ALPM] transaction completed
[2016-09-02 20:55] [ALPM] running 'gtk-update-icon-cache.hook'...
[2016-09-02 20:55] [ALPM] running 'update-desktop-database.hook'...
[2016-09-03 17:55] [PACMAN] Running 'pacman -S ntfs/tools'
[2016-09-03 17:55] [PACMAN] Running 'pacman -S ntfs-tools'
[2016-09-03 21:05] [PACMAN] Running 'pacman -Suy'
[2016-09-03 21:05] [PACMAN] synchronizing package lists
[2016-09-03 21:05] [PACMAN] starting full system upgrade
[2016-09-03 21:05] [ALPM] transaction started
[2016-09-03 21:05] [ALPM] upgraded chromium (53.0.2785.89-1 -> 53.0.2785.92-1)
[2016-09-03 21:05] [ALPM] upgraded nano (2.6.3-1 -> 2.7.0-1)
[2016-09-03 21:05] [ALPM] transaction completed
[2016-09-03 21:05] [ALPM] running 'gtk-update-icon-cache.hook'...
[2016-09-03 21:05] [ALPM] running 'texinfo-install.hook'...
[2016-09-03 21:05] [ALPM] running 'update-desktop-database.hook'...
[2016-09-03 21:42] [PACMAN] Running 'pacman -S nvidia'
[2016-09-03 21:48] [PACMAN] Running 'pacman -S nvidia-libgl nvidia-utils nvidia'
[2016-09-03 21:48] [ALPM] transaction started
[2016-09-03 21:48] [ALPM] reinstalled nvidia-utils (370.23-1)
[2016-09-03 21:48] [ALPM-SCRIPTLET] If you run into trouble with CUDA not being available, run nvidia-modprobe first.
[2016-09-03 21:48] [ALPM] reinstalled nvidia-libgl (370.23-1)
[2016-09-03 21:48] [ALPM] reinstalled nvidia (370.23-4)
[2016-09-03 21:48] [ALPM-SCRIPTLET] In order to use nvidia module, reboot the system.
[2016-09-03 21:48] [ALPM] transaction completed
[2016-09-04 12:17] [PACMAN] Running 'pacman -S initramfs'
[2016-09-04 11:19] [PACMAN] Running 'pacman -S openssh'
[2016-09-04 11:19] [ALPM] transaction started
[2016-09-04 11:19] [ALPM] installed dnssec-anchors (20150403-1)
[2016-09-04 11:19] [ALPM] installed ldns (1.6.17-4)
[2016-09-04 11:19] [ALPM] installed openssh (7.3p1-1)
[2016-09-04 11:19] [ALPM] transaction completed

Last edited by orjanp (2016-09-04 17:30:52)


Ørjan Pettersen

Offline

#4 2016-09-04 23:35:04

sonoran
Member
From: sonoran desert
Registered: 2009-01-12
Posts: 192

Re: [Solved] X fails with "Failed to initialize the NVIDIA GPU" after upd.

[    19.128] (EE) NVIDIA(GPU-0): Failed to initialize the NVIDIA GPU at PCI:1:0:0.  Please
[    19.128] (EE) NVIDIA(GPU-0):     check your system's kernel log for additional error
[    19.128] (EE) NVIDIA(GPU-0):     messages and refer to Chapter 8: Common Problems in the
[    19.128] (EE) NVIDIA(GPU-0):     README for additional information.

Anything about this error in the kernel log?

Offline

#5 2016-09-05 05:54:09

sultanoswing
Member
Registered: 2008-07-23
Posts: 312

Re: [Solved] X fails with "Failed to initialize the NVIDIA GPU" after upd.


5.3.1.arch1-1(x86_64) w/Gnome 3.34
Arch on: ASUS Pro-PRIME x470, AMD 3700x AMD RX580, 16GB, Samsung 840 SSD | Intel NUC 5i5RYK | ASUS ux303ua | Surface Laptop

Offline

#6 2016-09-05 09:23:28

orjanp
Member
From: Tromsoe, Norway
Registered: 2004-07-03
Posts: 347

Re: [Solved] X fails with "Failed to initialize the NVIDIA GPU" after upd.

Thanks. Bad luck yes. It seems to be a problem with the nvidia 370.23-4 drivers and the GF GTX 460 card. One solution seemed to be to downgrade to the previous kernel and nvidia driver. Another solution was to replace the nvidia driver with the nvidia-340xx driver, and then you could leave the kernel alone. So I did that, and a mkinitcpio -p linux(not sure if that's necessary), then reboot. That worked fine. Just have to wait until the nvidia drivers are fixed.


Ørjan Pettersen

Offline

Board footer

Powered by FluxBB